Skip to main content
POST
/
broadcasts
Create a broadcast
curl --request POST \
  --url https://api.nateq.io/api/v1/broadcasts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "broadcastName": "<string>",
  "contactIds": [
    "<string>"
  ],
  "templateId": "<string>",
  "description": "<string>",
  "emailVariables": {},
  "isDraft": true,
  "scheduledAt": "<string>",
  "sendNow": true,
  "senderEmailAddressId": "<string>",
  "subjectOverride": "<string>",
  "templateVariables": {
    "body": [
      {
        "type": "<string>",
        "value": "<string>"
      }
    ],
    "header": [
      {
        "type": "<string>",
        "value": "<string>"
      }
    ],
    "headerMedia": "<string>",
    "url": {
      "type": "<string>",
      "value": "<string>"
    }
  }
}
'
{
  "data": {
    "ageGroupBreakdown": {},
    "audienceSegment": "<string>",
    "audienceSize": 123,
    "avgResponseTime": 123,
    "bounceRate": 123,
    "broadcastName": "<string>",
    "clickRate": 123,
    "completedAt": "<string>",
    "conversionRate": 123,
    "cost": 123,
    "createdAt": "<string>",
    "deliveredCount": 123,
    "description": "<string>",
    "deviceBreakdown": {},
    "emailVariables": {},
    "errorMessage": "<string>",
    "failedCount": 123,
    "hasEmojis": true,
    "hasImages": true,
    "hasLinks": true,
    "id": "<string>",
    "isABTest": true,
    "isDraft": true,
    "locationBreakdown": {},
    "messageLength": 123,
    "openRate": 123,
    "organizationId": "<string>",
    "peakEngagementHour": 123,
    "readCount": 123,
    "recipients": [
      {
        "broadcast": "<unknown>",
        "broadcastId": "<string>",
        "contact": {
          "activities": [
            {
              "actorId": "<string>",
              "actorName": "<string>",
              "actorType": "<string>",
              "contactId": "<string>",
              "createdAt": "<string>",
              "description": "<string>",
              "id": "<string>",
              "metadata": "<string>",
              "newValue": "<string>",
              "oldValue": "<string>",
              "updatedAt": "<string>"
            }
          ],
          "avatar": "<string>",
          "channelData": "<string>",
          "company": {
            "domain": "<string>",
            "id": "<string>",
            "name": "<string>"
          },
          "companyId": "<string>",
          "companyName": "<string>",
          "country": "<string>",
          "createdAt": "<string>",
          "doNotContact": true,
          "email": "<string>",
          "externalId": "<string>",
          "id": "<string>",
          "isAnonymous": true,
          "isPotentialClient": true,
          "language": "<string>",
          "name": "<string>",
          "organizationId": "<string>",
          "phone": "<string>",
          "position": "<string>",
          "source": "<string>",
          "tags": [
            {
              "color": "<string>",
              "createdAt": "<string>",
              "displayName": "<string>",
              "id": "<string>",
              "name": "<string>",
              "organizationId": "<string>",
              "updatedAt": "<string>"
            }
          ],
          "updatedAt": "<string>",
          "whatsappOptedOut": true,
          "whatsappOptedOutAt": "<string>"
        },
        "contactId": "<string>",
        "createdAt": "<string>",
        "deliveredAt": "<string>",
        "errorCode": "<string>",
        "errorMessage": "<string>",
        "externalMessageId": "<string>",
        "failedAt": "<string>",
        "id": "<string>",
        "readAt": "<string>",
        "repliedAt": "<string>",
        "sentAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "repliedCount": 123,
    "revenue": 123,
    "roi": 123,
    "scheduledAt": "<string>",
    "sendNow": true,
    "senderEmailAddressId": "<string>",
    "sentCount": 123,
    "startedAt": "<string>",
    "subjectOverride": "<string>",
    "targetDemographic": "<string>",
    "templateChannel": "<string>",
    "templateId": "<string>",
    "templateVariables": {
      "body": [
        {
          "type": "<string>",
          "value": "<string>"
        }
      ],
      "header": [
        {
          "type": "<string>",
          "value": "<string>"
        }
      ],
      "headerMedia": "<string>",
      "url": {
        "type": "<string>",
        "value": "<string>"
      }
    },
    "totalRecipients": 123,
    "trendPercentage": 123,
    "unsubscribeRate": 123,
    "updatedAt": "<string>",
    "variantName": "<string>",
    "winningVariant": true
  },
  "error": {
    "code": "<string>",
    "details": "<unknown>",
    "message": "<string>"
  },
  "message": "<string>",
  "meta": {
    "count": 123,
    "endCursor": "<string>",
    "hasNext": true,
    "hasPrevious": true,
    "limit": 123,
    "page": 123,
    "pageSize": 123,
    "pendingCount": 123,
    "startCursor": "<string>",
    "total": 123,
    "totalPages": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Your API key as a Bearer token: Authorization: Bearer tg_live_...

Body

application/json

Broadcast to create

broadcastName
string
required
Required string length: 1 - 255
channel
enum<string>
required
Available options:
facebook,
whatsapp,
instagram,
email
contactIds
string[]
required
Minimum array length: 1
templateId
string
required
description
string
Maximum string length: 1000
emailVariables
object
isDraft
boolean
scheduledAt
string
sendNow
boolean
senderEmailAddressId
string

Email-only (present when Channel == "email")

subjectOverride
string
templateVariables
object

Response

201 - application/json

Created

data
object
error
object
message
string
meta
object
success
boolean